Package org.jcsp.net.cns

# Class NameAccessLevel

java.lang.Object
org.jcsp.net.cns.NameAccessLevel

All Implemented Interfaces:
  `Serializable`

public final class NameAccessLevel extends Object implements Serializable
This class allows name spaces to be identified around `AbstractID` objects (currently including `ApplicationID`, `NodeID`, `DomainID` and `GlobalID` ). An `AbstractID` object can have a single parent `AbstractID` object. This allows a tree-like hierarchy to be formed which in turn allows a name space hierarchy.

For example, two `ApplicationID` objects, A and B, may each have a parent `NodeID` Z. The namespaces created around A and B will each be a superset of the namespace of Z. Channels registered in Z's namespace can be resolved in either A's or B's namespace. A channel registered in A's namespace may neither be resolved in Z's namespace nor B's.

Author:
  Quickstone Technologies Limited
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final NameAccessLevel`
`GLOBAL_ACCESS_LEVEL`
The `NameAccessLevel` for the global namespace.

## Constructor Summary

Constructors
Constructor
Description
`NameAccessLevel(AbstractID abstractID)`
Constructor which takes an `AbstractID` to use for identifying the namespace.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
Compares an object with this object.
`int`
`hashCode()`
Returns a hash code for this object obeying the standard rules for a hash code.
`String`
`toString()`
Returns a string representation of this object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### GLOBAL_ACCESS_LEVEL

public static final NameAccessLevel GLOBAL_ACCESS_LEVEL
The `NameAccessLevel` for the global namespace.

## Constructor Details

### NameAccessLevel

public NameAccessLevel(AbstractID abstractID)

Constructor which takes an `AbstractID` to use for identifying the namespace.

## Method Details

### equals

public boolean equals(Object o)
Compares an object with this object.

Overrides:
  `equals` in class `Object`
Returns:
  `ture` iff the other object is a `NameAccessLevel` object which has an equal underlying `AbstractID`.
See Also:
  - `AbstractID`

### hashCode

public int hashCode()
Returns a hash code for this object obeying the standard rules for a hash code.

Overrides:
  `hashCode` in class `Object`
See Also:
  - `Object.hashCode()`

### toString

public String toString()
Returns a string representation of this object.

Overrides:
  `toString` in class `Object`
Returns:
  a human readable string.